package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MealTableOrderStatus
 * @author: HuRui
 * @date: 2023/11/30
 **/
public enum MealTableOrderPayStatusEnum {

    status1(1, "待支付"),
    status2(2, "支付中"),
    status3(3, "已支付"),
    ;

    private Integer number;

    private String name;

    MealTableOrderPayStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MealTableOrderPayStatusEnum getDataByNumber(Integer number) {
        for (MealTableOrderPayStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }


    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
